LastPass Heartbleed checker



WARNING: yahoo.com was confirmed as vulnerable either publicly via statement or on 4/8/2014 LINK

Site:yahoo.com
Server software:ATS
Was vulnerable: Likely was in the past
SSL Certificate:Now Safe
Assessment:Change your password on this site if your last password change was more than 12 months ago


Check another site?

To LastPass Users: Click on the Security Check in your vault and LastPass will alert you to your sites that are vulnerable as well as what action we recommend taking. Learn More


Has your organization made a public statement about use of vulnerable versions of OpenSSL over the last 2 years? Have you reissued your certificate without changing the dates? Let us know